#ifndef __GAMEGIRL__
#define __GAMEGIRL__

//-----------------------------------------------------------
//	DEFINITION DES NOM DES ENTREES/SORTIES
//-----------------------------------------------------------
	
#define LED_RED PORTEbits.RE0  			//led verte active bas !
#define LED_GREEN PORTAbits.RA5			//led rouge active bas !
#define joyHB PORTAbits.RA0				//joystick haut/bas
#define joyGD PORTAbits.RA1				//joystick gauche/droit
#define sw_joy PORTAbits.RA2			//joystick bouton

#define LCD_RESET PORTBbits.RB0			//Initialise l'cranc
#define LCD_CSA PORTBbits.RB1			//selection du controleur A
#define LCD_CSB PORTBbits.RB2			//selection du controleur B
#define LCD_RS PORTBbits.RB3			//selection du registre
#define LCD_RW PORTBbits.RB4			//lecture/ecriture
#define LCD_ENABLE PORTBbits.RB5		//enable
#define LCD_BACKLIGHT PORTBbits.RB6		//BackLight
#define LCD_DATA PORTD					//port de donnes

#define TRANSMIT PORTCbits.RC7			//RX
#define RECEIVE PORTCbits.RC6			//TX
#define button_green PORTCbits.RC5		//bouton vert actif bas !
#define button_blue PORTCbits.RC4		//bouton bleu actif bas !
#define button_yellow PORTCbits.RC3		//bouton jaune actif bas !
#define button_red PORTCbits.RC2		//bouton rouge actif bas !

//---------------------------------------------------------------

void ConfigProcessor(void);
//fonction pour configurier les port entre/sortie du microcontrleur

int Joystick_X(void);
//fonction qui envoie la position horizontale du joystick compris entre -512 et 512

int Joystick_Y(void);
//fonction qui envoie la position verticale du joystick compris entre -512 et 512


#endif
